<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Mailgun\EmailController;
use App\Http\Controllers\Chat\ChatController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/


Route::post('/save-email', [EmailController::class, 'saveEmail']);

Route::post('/chat/start', [ChatController::class, 'startChat']);
Route::post('/chat/send-message', [ChatController::class, 'sendMessage']);

Route::post('/chat/get', [ChatController::class, 'getChat']);
Route::post('/chat/getMessages', [ChatController::class, 'getMessages']);

Route::post('/chat/check', [ChatController::class, 'checkChat']);





Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
